# FullyConnectedMesh Class Reference
[FullyConnectedMesh]

`#include <FullyConnectedMesh.h>`

Inheritance diagram for FullyConnectedMesh:

List of all members.

## Public Member Functions

void | Startup (const char *password, int _passwordLength)
| Set the password to use to connect to the other systems.
virtual PluginReceiveResult | OnReceive (Packet *packet)

## Detailed Description

Fully connected mesh plugin. This will connect RakPeer to all connecting peers, and all peers the connecting peer knows about. Use FullyConnectedMesh2

Precondition:
  You must also install the ConnectionGraph plugin. If you want a password, set it there.

## Member Function Documentation

PluginReceiveResult FullyConnectedMesh::OnReceive | ( | Packet * | packet | ) | `[virtual]`

OnReceive is called for every packet.

Parameters:

  `[in]` | packet | the packet that is being returned to the user

Returns:
  True to allow the game and other plugins to get this message, false to absorb it

Reimplemented from PluginInterface2.

The documentation for this class was generated from the following files:

- C:/RakNet/Source/FullyConnectedMesh.h
- C:/RakNet/Source/FullyConnectedMesh.cpp